Name:           ocaml-ppx-sexp-value
Version:        0.17.0
Release:        %autorelease
Summary:        PPX rewriter for building s-expressions from OCaml values

License:        MIT
URL:            https://github.com/janestreet/ppx_sexp_value
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/ppx_sexp_value-%{version}.tar.gz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppx-here-devel >= 0.17
BuildRequires:  ocaml-ppx-sexp-conv-devel >= 0.17
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0

%description
Ppx_sexp_value is a PPX rewriter that simplifies building s-expressions
from OCaml values.  The building block of this preprocessor is the
extension:

```ocaml
[%%sexp expr]
```

in expressions.  It evaluates to an s-expression. This is done by
recursing down the expression and converting all data constructors into
s-expressions.  If an expression with a type annotation is found, then
the type is used to convert to an s-expression.  Expressions that are
neither data constructors nor annotated with a type are rejected.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx-here-devel%{?_isa}
Requires:       ocaml-ppx-sexp-conv-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-sexplib0-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n ppx_sexp_value-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
